Skip to main content

ListColumn

Retrieve column information for a specified table in the current workspace.

Debug

You can run this API directly in OpenAPI Explorer, saving you from computing signatures. After the call succeeds, OpenAPI Explorer can automatically generate SDK code examples. Debug

Authorization information

The following table describes the authorization information of this API. You can use it in the Action element of RAM policy statements to grant RAM users or RAM roles the permission to call this API. Details are as follows:
  • Operation: the specific permission point.
  • Access level: the access level of each operation. Valid values: Write, Read, and List.
  • Resource type: the resource types that support authorization in the operation. Details are as follows:
    • Required resource types are marked with an asterisk (*) before them.
    • For operations that do not support resource-level authorization, All Resources is used.
  • Condition key: the condition keys defined by the cloud service itself.
  • Related operation: other permissions required to successfully perform the operation. The caller must have the permissions of related operations at the same time for the operation to succeed.
OperationAccess levelResource typeCondition keyRelated operation
dataanalysisgbi:ListColumnnone
*All resources
*
    None
None

Request syntax

POST /gbi/list/column HTTP/1.1

Request parameters

NameTypeRequiredDescriptionExample value
workspaceIdstringYes

The ID of the Alibaba Cloud Model Studio workspace used for the current request

llm-2v3934xtp49esw64
bodyobjectNo

Request body parameters

tableIdKeystringYes

The unique identifier of the data table

table-AAAAAAAAFQBwSLJkUj4CYg
nextTokenintegerNo

The pagination token.

  • For the first call, omit this parameter.

  • For subsequent calls, pass the nextToken returned in the previous call.

e8Z0nRyY51ZQmYljqGNK
maxResultsintegerNo

The maximum number of entries per page

10

Response elements

NameTypeDescriptionExample value
object

Result

dataany

Response data

{ "data": { "data": [ { "tableIdKey": "table-AAAAAAAAFQBwSLJkUj4CYg", "initializationData": "{\"description\":\"ID of the ordering customer\",\"enumType\":0,\"gmtCreate\":1734059103879,\"name\":\"customer_id\",\"samples\":\"[]\",\"tableId\":5376,\"type\":\"number\"}", "enumType": 0, "name": "customer_id", "description": "ID of the ordering customer", "gmtCreate": 1734059104000, "type": "number", "samples": [], "columnIdKey": "column-AAAAAAAAh6Q9ERazKYFvkA", "enumValues": [] }, { "tableIdKey": "table-AAAAAAAAFQBwSLJkUj4CYg", "initializationData": "{\"description\":\"Order date in YYYY-MM-DD format\",\"enumType\":0,\"gmtCreate\":1734059103913,\"name\":\"order_date\",\"samples\":\"[]\",\"tableId\":5376,\"type\":\"date\"}", "enumType": 0, "name": "order_date", "description": "Order date in YYYY-MM-DD format", "gmtCreate": 1734059104000, "type": "date", "samples": [], "columnIdKey": "column-AAAAAAAAh6XbT54v-8NjeA", "enumValues": [] }, { "tableIdKey": "table-AAAAAAAAFQBwSLJkUj4CYg", "initializationData": "{\"description\":\"Order ID\",\"enumType\":0,\"gmtCreate\":1734059103946,\"name\":\"order_id\",\"samples\":\"[]\",\"tableId\":5376,\"type\":\"number\"}", "enumType": 0, "name": "order_id", "description": "Order ID", "gmtCreate": 1734059104000, "type": "number", "samples": [], "columnIdKey": "column-AAAAAAAAh6avEvz8bdb30Q", "enumValues": [] }, { "tableIdKey": "table-AAAAAAAAFQBwSLJkUj4CYg", "initializationData": "{\"description\":\"Order status (e.g., pending shipment, shipped, delivered)\",\"enumType\":0,\"gmtCreate\":1734059103980,\"name\":\"order_status\",\"samples\":\"[]\",\"tableId\":5376,\"type\":\"text\"}", "enumType": 0, "name": "order_status", "description": "Order status (e.g., pending shipment, shipped, delivered)", "gmtCreate": 1734059104000, "type": "text", "samples": [], "columnIdKey": "column-AAAAAAAAh6cWOUPagYstkg", "enumValues": [] }, { "tableIdKey": "table-AAAAAAAAFQBwSLJkUj4CYg", "initializationData": "{\"description\":\"ID of the ordered product\",\"enumType\":0,\"gmtCreate\":1734059104013,\"name\":\"product_id\",\"samples\":\"[]\",\"tableId\":5376,\"type\":\"number\"}", "enumType": 0, "name": "product_id", "description": "ID of the ordered product", "gmtCreate": 1734059104000, "type": "number", "samples": [], "columnIdKey": "column-AAAAAAAAh6hFxzroVe3k4Q", "enumValues": [] }, { "tableIdKey": "table-AAAAAAAAFQBwSLJkUj4CYg", "initializationData": "{\"description\":\"Quantity of ordered products\",\"enumType\":0,\"gmtCreate\":1734059104046,\"name\":\"quantity\",\"samples\":\"[]\",\"tableId\":5376,\"type\":\"number\"}", "enumType": 0, "name": "quantity", "description": "Quantity of ordered products", "gmtCreate": 1734059104000, "type": "number", "samples": [], "columnIdKey": "column-AAAAAAAAh6ncfHPApl0elQ", "enumValues": [] } ], "nextToken": "T65g+mLhrbH14+IU/ABI3Q==", "totalCount": 0 } }
errorMsgstring

The error message.

NoAuth
codestring

The error code

NoAuth
successboolean

true if the API call succeeded. false if it failed

true
requestIdstring

The unique ID of the request. The value is unique for each request and helps you troubleshoot issues.

FB11F719-9AC8-5C99-AB0A-4709D437FCFC

Examples

Success response JSON format
{
  "data": {
    "data": {
      "data": [
        {
          "tableIdKey": "table-AAAAAAAAFQBwSLJkUj4CYg",
          "initializationData": {
            "description": "下单客户的ID",
            "enumType": 0,
            "gmtCreate": 1734059103879,
            "name": "customer_id",
            "samples": [],
            "tableId": 5376,
            "type": "number"
          },
          "enumType": 0,
          "name": "customer_id",
          "description": "下单客户的ID",
          "gmtCreate": 1734059104000,
          "type": "number",
          "samples": [],
          "columnIdKey": "column-AAAAAAAAh6Q9ERazKYFvkA",
          "enumValues": []
        },
        {
          "tableIdKey": "table-AAAAAAAAFQBwSLJkUj4CYg",
          "initializationData": {
            "description": "下单日期,格式为YYYY-MM-DD",
            "enumType": 0,
            "gmtCreate": 1734059103913,
            "name": "order_date",
            "samples": [],
            "tableId": 5376,
            "type": "date"
          },
          "enumType": 0,
          "name": "order_date",
          "description": "下单日期,格式为YYYY-MM-DD",
          "gmtCreate": 1734059104000,
          "type": "date",
          "samples": [],
          "columnIdKey": "column-AAAAAAAAh6XbT54v-8NjeA",
          "enumValues": []
        },
        {
          "tableIdKey": "table-AAAAAAAAFQBwSLJkUj4CYg",
          "initializationData": {
            "description": "订单ID",
            "enumType": 0,
            "gmtCreate": 1734059103946,
            "name": "order_id",
            "samples": [],
            "tableId": 5376,
            "type": "number"
          },
          "enumType": 0,
          "name": "order_id",
          "description": "订单ID",
          "gmtCreate": 1734059104000,
          "type": "number",
          "samples": [],
          "columnIdKey": "column-AAAAAAAAh6avEvz8bdb30Q",
          "enumValues": []
        },
        {
          "tableIdKey": "table-AAAAAAAAFQBwSLJkUj4CYg",
          "initializationData": {
            "description": "订单状态(例如:待发货、已发货、已送达)",
            "enumType": 0,
            "gmtCreate": 1734059103980,
            "name": "order_status",
            "samples": [],
            "tableId": 5376,
            "type": "text"
          },
          "enumType": 0,
          "name": "order_status",
          "description": "订单状态(例如:待发货、已发货、已送达)",
          "gmtCreate": 1734059104000,
          "type": "text",
          "samples": [],
          "columnIdKey": "column-AAAAAAAAh6cWOUPagYstkg",
          "enumValues": []
        },
        {
          "tableIdKey": "table-AAAAAAAAFQBwSLJkUj4CYg",
          "initializationData": {
            "description": "所订购产品的ID",
            "enumType": 0,
            "gmtCreate": 1734059104013,
            "name": "product_id",
            "samples": [],
            "tableId": 5376,
            "type": "number"
          },
          "enumType": 0,
          "name": "product_id",
          "description": "所订购产品的ID",
          "gmtCreate": 1734059104000,
          "type": "number",
          "samples": [],
          "columnIdKey": "column-AAAAAAAAh6hFxzroVe3k4Q",
          "enumValues": []
        },
        {
          "tableIdKey": "table-AAAAAAAAFQBwSLJkUj4CYg",
          "initializationData": {
            "description": "订购产品的数量",
            "enumType": 0,
            "gmtCreate": 1734059104046,
            "name": "quantity",
            "samples": [],
            "tableId": 5376,
            "type": "number"
          },
          "enumType": 0,
          "name": "quantity",
          "description": "订购产品的数量",
          "gmtCreate": 1734059104000,
          "type": "number",
          "samples": [],
          "columnIdKey": "column-AAAAAAAAh6ncfHPApl0elQ",
          "enumValues": []
        }
      ],
      "nextToken": "T65g+mLhrbH14+IU/ABI3Q==",
      "totalCount": 0
    }
  },
  "errorMsg": "NoAuth",
  "code": "NoAuth",
  "success": true,
  "requestId": "FB11F719-9AC8-5C99-AB0A-4709D437FCFC"
}

Error codes

HTTP status codeError codeError messageDescription
401Internal.ErrorBad Request: Internal Error.Internal error. Contact customer service personnel for troubleshooting.
401NoAuthBad Request: Workspace.Illegal.Auth.The current account does not have permission on the specified business space.
401NoResourceAuthBad Request: Resource Auth Error.No permission on the requested resource. Make sure that the requested resource belongs to the business space specified in the current parameters.
Visit the Error Center to view more error codes.